NAME="check"
SECTION="management"
SUMMARY="Perform container lint checks"
USAGE="singularity [...] check [exec options...] <container path>"

print_help() {
cat<<EOF
This command will run lint and security checks for an image.
Note that some checks require sudo.

CHECK OPTIONS:
    -l|--low       Specify low threshold (all checks, default) 
    -m|--med       Perform medium and high checks
       --high      Perform only checks at level high
    -t|--tag       tag to filter checks. default is "default"                      
                      Available: default, security, docker, clean

EXAMPLES:

    # Perform all default checks, these are the same
    $ singularity check ubuntu.img
    $ singularity check --tag default ubuntu.img

    # Perform checks with tag "clean"
    $ singularity check --tag clean ubuntu.img

For additional help, please visit our public documentation pages which are
found at:

    https://singularityware.github.io
EOF
}
